@font-face {
    font-family: 'SangBleuRepublic-Regular-WebTrial';
    src: url('../font/SangBleuRepublic-Regular-WebTrial.eot');
    /* IE9 Compat Modes */
    src: url('../font/SangBleuRepublic-Regular-WebTrial.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../font/SangBleuRepublic-Regular-WebTrial.woff2') format('woff2'), /* Super Modern Browsers */
    url('../font/SangBleuRepublic-Regular-WebTrial.woff') format('woff'), /* Pretty Modern Browsers */
    url('../font/SangBleuRepublic-Regular-WebTrial.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../font/SangBleuRepublic-Regular-WebTrial.svg') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Neue Haas Grotesk Display Pro';
    src: url('../font/NeueHaasDisplay-Roman.eot');
    /* IE9 Compat Modes */
    src: url('../font/NeueHaasDisplay-Roman.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('../font/NeueHaasDisplay-Roman.woff2') format('woff2'), /* Super Modern Browsers */
    url('../font/NeueHaasDisplay-Roman.woff') format('woff'), /* Pretty Modern Browsers */
    url('../font/NeueHaasDisplay-Roman.ttf') format('truetype'), /* Safari, Android, iOS */
    url('../font/NeueHaasDisplay-Roman.svg') format('svg');
    /* Legacy iOS */
}

*,
*:after,
*:before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    position: relative;
    height: 100%;
    /* overflow: hidden; */
    background-color: #DB7659;
}

.grid-container {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 5fr 5fr 1fr;
    grid-template-rows: 0.1fr 2fr 0.1fr;
    grid-template-areas: "film header header theatre" "gside main1  main2  bside" "whatson footer footer about";
    height: 100%;
    /* overflow: hidden; */
}

header {
    grid-area: header;
    /* background-color: red; */
}

.logo {
    height: 42.5px;
    width: 42.5px;
    margin: auto;
    padding-top: 1%;
}

.logo:hover {
    height: 43.5px;
    width: 43.5px;
}

.film {
    grid-area: film;
    padding: 2.5em;
    margin-left: 0;
    margin-right: auto;
}

.film a {
    text-decoration: none;
    color: black;
}

.theatre {
    grid-area: theatre;
    padding: 2.5em;
    margin-left: auto;
    margin-right: 0;
}

.theatre a {
    text-decoration: none;
    color: black;
}

.gside {
    margin: auto;
    margin-left: -4rem;
    grid-area: gside;
}

.gside .gentle {
    transform: rotate(90deg);
}

main {
    grid-area: main;
    display: none;
}

main1 {
    margin-top: 2.5%;
    display: grid;
    grid-area: main1;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 2fr 0.5fr;
    grid-column-gap: 2.5%;
    grid-row-gap: 1%;
    justify-items: center;
    margin-top: 0;
}

main2 {
    grid-area: main2;
    margin-top: 2.5%;
    margin-left: 7.5%;
    margin-right: 7.5%;
    /* background-color: seagreen; */
}

main3 {
    display: none;
}

.image {
    position: relative;
    grid-column: 1 / 3;
    grid-row: 1 / 2;
    grid-template-columns: subgrid;
    grid-template-rows: subgrid;
}


.image img {
    margin-top: 10%;
    width: 315px;
    max-width: 100%;
    height: auto;
    max-height: 100%;
}

.image1 {
    grid-column: 1 / 1;
    grid-row: 2;
}

.image1 img {
    width: 100%;
    max-width: 100%;
    cursor: pointer;
}

.image2 {
    grid-column: 2 / 2;
    grid-row: 2;
}

.image2 img {
    width: 100%;
    max-width: 100%;
    cursor: pointer;
}

.image3 {
    grid-column: 1 / 1;
    grid-row: 3;
}

.image3 img {
    width: 100%;
    max-width: 100%;
    cursor: pointer;
}

.image4 {
    grid-column: 2 / 2;
    grid-row: 3;
}

.image4 img {
    width: 100%;
    max-width: 100%;
    cursor: pointer;
}

#lightbox {
    position: fixed;
    z-index: 1000;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .8);
    display: none;
}

#lightbox.active {
    display: flex;
    justify-content: center;
    align-items: center;
}

#lightbox img {
    max-width: 90%;
    max-height: 80%;
}

#text2 {
    padding: 0px;
}

.bside {
    top: 36%;
    text-align: center;
    grid-area: bside;
    position: absolute;
    right: 0;
    padding: 25px;
    transform: rotate(90deg) translate(100%, 0);
    transform-origin: 100% 0;
}

.whatson {
    white-space: nowrap;
    grid-area: whatson;
    padding: 2.5em;
    margin-left: 0;
    margin-right: auto;
}

.whatson a {
    text-decoration: none;
    color: black;
}

footer {
    grid-area: footer;
}

.about {
    grid-area: about;
    padding: 2.5em;
    margin-left: auto;
    margin-right: 0;
}

.about a {
    text-decoration: none;
    color: black;
}

h1 {
    font-family: 'SangBleuRepublic-Regular-WebTrial';
    font-size: 3.5rem;
    font-weight: 500;
    color: black;
    text-decoration: none;
}

h2 {
    font-family: 'Neue Haas Grotesk Display Pro';
    font-size: 1.25rem;
    font-weight: 500;
    color: black;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
    font-size: 1.2rem;
}

@media (max-width: 500px) {
    .grid-container {
        display: grid;
        align-items: center;
        grid-template-columns: 1fr 10fr 1fr;
        grid-template-rows: 1fr 10fr 1fr;
        grid-template-areas: "film   header  theatre" "main    main    main" "whatson   footer  about";
        height: 100vh;
        justify-items: center;
        /* overflow: hidden; */
    }
    .logo {
        position: relative;
        height: 2.5rem;
        width: 2.5rem;
        margin-bottom: 65%;
        right: 40%;
    }
    main {
        display: block;
        grid-area: main main main;
        justify-items: center;
        align-items: center;
        padding: 15px;
    }
    main1 {
        display: none;
    }
    main2 {
        display: none;
    }
    main3 {
        display: block;
        grid-area: main;
        justify-items: center;
        align-items: center;
        padding: 15px;
    }
    .film {
        grid-area: film;
        padding-left: 1em;
        padding-top: 1em;
        margin-left: 0;
        /* margin-right: auto; */
    }
    .theatre {
        grid-area: theatre;
        padding-right: 1.5em;
        padding-top: 1em;
        margin-left: auto;
        margin-right: 0;
    }
    .whatson {
        white-space: nowrap;
        grid-area: whatson;
        padding-left: 1em;
        padding-bottom: 1em;
        margin-left: 0;
        margin-right: auto;
    }
    footer {
        grid-area: footer;
    }
    .about {
        grid-area: about;
        padding-right: 2em;
        padding-bottom: 1em;
        margin-left: auto;
        margin-right: 0;
    }
    .logo {
        height: 2.75rem;
        width: 2.75rem;
        margin: auto;
        margin-bottom: 45%;
    }
}